Package org.bgerp.dao.expression

# Class CalledParamIdsExpressionObject

java.lang.Object
org.bgerp.dao.expression.ParamExpressionObject
org.bgerp.dao.expression.ProcessParamExpressionObject
org.bgerp.dao.expression.CalledParamIdsExpressionObject

All Implemented Interfaces:
  `ExpressionObject`

public class CalledParamIdsExpressionObject extends ProcessParamExpressionObject
Collects used in expression parameter IDs

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalledParamIdsExpressionObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<ParameterAddressValue>`
  `getParamAddressValues(int paramId, String formatName)`
  `Set<Integer>`
  `getParamIds()`
  `String`
  `val(int paramId)`
  Selects parameter values for the current object.

  ### Methods inherited from class org.bgerp.dao.expression.ProcessParamExpressionObject

  `toContext`

  ### Methods inherited from class org.bgerp.dao.expression.ParamExpressionObject

  `addressAreaIds, addressCityIds, addressQuarterIds, addressStreetIds, addressValues, addressValues, getParamDate, getParamDateTime, getParamPhoneNoFormat, getParamText, getValue, listValueIds, listValueTitles, val`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalledParamIdsExpressionObject

    public CalledParamIdsExpressionObject()

- ## Method Details

  - ### getParamIds

    public Set<Integer> getParamIds()

  - ### val

    public String val(int paramId)
    Description copied from class: `ParamExpressionObject`
    Selects parameter values for the current object.
    Overrides:
      `val` in class `ParamExpressionObject`
    Parameters:
      `paramId` - the parameter ID.
    Returns:
      string representation of the parameter value.

  - ### getParamAddressValues

    protected Collection<ParameterAddressValue> getParamAddressValues(int paramId, String formatName)
    Overrides:
      `getParamAddressValues` in class `ParamExpressionObject`